<template>
  <nuxt-link :to="localePath('calculadora')" class="fixed z-10 flex items-center justify-center w-16 h-16 transition-all duration-300 ease-in-out border-2 rounded-full shadow-lg bottom-5 hover:text-primary bg-primary hover:bg-secondary border-primary right-5" @click.prevent="setCalculatorState(!calculatorState)">
    <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8 lg:w-12 lg:h-12 " viewBox="0 0 20 20" fill="currentColor">
      <path fill-rule="evenodd" d="M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V4a2 2 0 00-2-2H6zm1 2a1 1 0 000 2h6a1 1 0 100-2H7zm6 7a1 1 0 011 1v3a1 1 0 11-2 0v-3a1 1 0 011-1zm-3 3a1 1 0 100 2h.01a1 1 0 100-2H10zm-4 1a1 1 0 011-1h.01a1 1 0 110 2H7a1 1 0 01-1-1zm1-4a1 1 0 100 2h.01a1 1 0 100-2H7zm2 1a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zm4-4a1 1 0 100 2h.01a1 1 0 100-2H13zM9 9a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zM7 8a1 1 0 000 2h.01a1 1 0 000-2H7z" clip-rule="evenodd" />
    </svg>
  </nuxt-link>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  name: 'CalculatorFloatBtnComponent',
  computed: {
    ...mapGetters({
      calculatorState: 'calculatorState'
    })
  },

  methods: {
    ...mapActions({
      setCalculatorState: 'setCalculatorState'
    })
  }
}
</script>

<style></style>